/* beos_obuffer.h

   BEOS output buffer written by John Fehr (jfehr@themall.net)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef BEOS_OBUFFER_H
#define BEOS_OBUFFER_H

#ifdef BEOS

#include "args.h"
#include "obuffer.h"

class BEOSObuffer : public Obuffer
{
  int16  buffer[OBUFFERSIZE];
  int16 *bufferp[MAXCHANNELS];
  uint32 channels;

public:
	BEOSObuffer (uint32 number_of_channels, MPEG_Args *maplay_args);
       ~BEOSObuffer (void);
  void	append (uint32 channel, int16 value);
  void	write_buffer (int32 dummy);

#ifdef SEEK_STOP
  void   set_stop_flag(void);
  void   clear_buffer(void);
#endif

};
#endif // BEOS

#endif
